#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package};

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import ${package}.model.Airline;

public class CreateEntity {

   // This requires a corresponding entry <persistence-unit name="entitytemplatePU"> 
   // in META-INF/persistence.xml
   static public final String PERSISTENCE_UNIT_NAME = "entitytemplatePU";
    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
        
       final EntityManagerFactory factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
       final EntityManager em = factory.createEntityManager();
       
       em.getTransaction().begin();
       final Airline lh = new Airline("Lufthansa", "DLH");
       
       em.persist(lh);
       em.getTransaction().commit();

       em.close();
       factory.close();
    }
}
